For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETBrand content
      • GETBrand content by ID
      • GETCountry configuration
      • GETAvailable currencies
      • GETCurrency configuration
      • GETDonation configuration
      • GETUnderwriters and plans
      • GETSingle underwriter and plans
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIBrand

Brand content by ID

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/brands/:brandId
GET
/products/v1/:brandCode/brands/:brandId
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000 \
> -H "Authorization: Bearer <token>"
200TIDAU /v1/wn/brands/3
1{
2 "expirySeconds": 86400,
3 "code": "TIDAU",
4 "name": "name",
5 "effectiveToDate": "1970-01-01T00:00:00Z",
6 "contentItems": [
7 {
8 "type": "EMAILREPLYTOANDFROM",
9 "content": "\"Travel Insurance Direct UAT\" <service@uat-go.tid.com.au>"
10 },
11 {
12 "type": "OPTIONDISCLAIMER",
13 "content": "*Including options"
14 },
15 {
16 "type": "RSPORTALURL",
17 "content": "https://www.travelinsurancedirect.com.au/customer-service/resident-of-australia-definition"
18 },
19 {
20 "type": "TNCHEADER",
21 "content": "If you have an existing medical condition please <a href=\"/existing-medical-conditions\" target=\"_blank\">read here</a>."
22 },
23 {
24 "type": "EMAILDOC",
25 "content": "We'll email your policy documents."
26 },
27 {
28 "type": "EFOOTER",
29 "content": "Travel Insurance Direct © is a registered trademark of Travel Insurance Direct Pty Limited. Travel Insurance Direct Pty Limited ABN 30 121 659 470 AR305589 is an authorised representative of nib Travel Services (Australia) Pty Ltd (nib) ABN 81 115 932 173, AFS Licence No. 308461 and act as nib's agent and not as your agent. This is general advice only. Before you buy, you should consider your needs, the <a href=\"https://www.travelinsurancedirect.com.au/policy-hub\">Product Disclosure Statement</a> (PDS) and <a href=\"https://www.travelinsurancedirect.com.au/policy-hub\">Target Market Determination</a> (TMD) available from us. This insurance is underwritten by Pacific International Insurance Pty Ltd, ABN 83 169 311 193. TID is located on Governor Macquarie Tower Level 18, 1 Farrer Place, Sydney NSW, 2000 Australia."
30 }
31 ],
32 "availableTranslations": {
33 "key": "value"
34 }
35}
Retrieves content items related to a particular brand by ID.
Was this page helpful?
Previous

Country configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired

Brand code - must be valid but is ignored

Allowed values:
brandIdlongRequiredDefaults to 0
Valid internal brand ID

Query parameters

langstringOptional

Response

Success
expirySecondsinteger
codestring
namestring
effectiveToDatestring
contentItemslist of objects
availableTranslationsmap from strings to optional strings